FreeMat

- Main Page
- Related Pages

RANDNBIN Generate Negative Binomial Random Variables

Section: Random Number Generation

# Usage

Generates random variables with a negative binomial distribution. The general syntax for its use is

       y = randnbin(r,p)

where `r` is a vector of integers representing the number of successes, and `p` is the probability of success.

# Internals

A negative binomial random variable describes the number of failures `x` that occur in `x+r` bernoulli trials, with a success on the `x+r` trial. The pdf is given by

# Example

Here we generate some negative binomial random variables:

    --> randnbin(3*ones(1,4),.01)

    ans =
     437 215 199 187

    --> randnbin(6*ones(1,4),.01)

    ans =
      471 1233  768  338